Adt no crea el mundo hola predeterminado, pero la línea de comando lo hace

Mi ADT funcionó correctamente como lo que vi en el tutorial hasta hace 2 días cuando creé un proyecto como antes y también seleccioné “crear una actividad en blanco” y espero que sea un proyecto hola mundial predeterminado para mí y un Main.java también un archivo de diseño xml, pero ya no crea este proyecto predeterminado de hello world. Instalé y actualicé la mayoría de las cosas en SDK Manager. Creé otro espacio de trabajo e hice lo que pude pero no creó el proyecto predeterminado de hello world. pero cuando creo un proyecto desde la línea de comandos, funciona correctamente y hago un proyecto de hello world. ¿Por qué ADT no hace eso? es una lista del paquete instalado en mi administrador de SDK

SDK Manager list1SDK Manager list2

y es el árbol del proyecto en ADT que está vacío cuando creo un proyecto con actividad en blanco:

Árbol de proyectos en ADT

Pero funciona en línea de comando. Yo uso el mismo administrador de SDK desde la línea de comandos:

~/Program/Andr/adt/sdk/tools $ ./android create project --target 24 --name MyFirstApp --path MyFirstApp --activity Main --package com.mrg.myfirstapp Created project directory: MyFirstApp .... 

Y hace que el proyecto Helloworld:

enter image description here

Mi sistema operativo es Linux Mint 15-16bit:

 $ uname -a Linux mrg-samsung 3.8.0-19-generic #30-Ubuntu SMP Wed May 1 16:35:23 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux 

Es mi versión de Java:

 $ java -version java version "1.7.0_51" Java(TM) SE Runtime Environment (build 1.7.0_51-b13) Java HotSpot(TM) 64-Bit Server VM (build 24.51-b03, mixed mode) 

y es mi versión ADT:

enter image description here

    Este problema se debió a la nueva versión de SDK y ADT, por lo tanto, para actualizar ADT, agregue esta dirección: https://dl-ssl.google.com/android/eclipse/ ** Tenga en cuenta que no funciona con una dirección emocionante, comience con http, vaya a Instalar nuevo software en ADT y siga estos pasos: enter image description here

    Luego, seleccione esto y presione Siguiente y Siguiente, acepte la licencia y presione finalizar para descargar e instalar: enter image description here

    Ahora después de reiniciar ADT, si creas un proyecto, funcionará otro problema. Vi que el AVD no funciona correctamente. No puedes agregar un nuevo dispositivo para resolver este problema. Ejecuta este comando desde la ruta SDK:

     ~/Program/android/adt/sdk/tools $ ./android avd 

    Después de agregar su dispositivo, vaya a ADT y abra AVD desde eclipse y presione Actualizar enter image description here

    Debería funcionar ahora

    Como dijo un hombre

    Tuve el mismo problema aunque descargué el Android SDK e hice una instalación limpia, pero lo resolví. Traté de hacer clic en “Ayuda” -> “Buscar actualizaciones”, y luego recibí un mensaje emergente que decía que todo estaba actualizado, pero después de más investigaciones me pareció que no estaba actualizado. Lo que debe hacer es hacer clic en “Ayuda” -> “Instalar nuevo software” e instalar (esto lo actualizará) desde esta url: https://dl-ssl.google.com/android/eclipse/

    Mira aquí https://code.google.com/p/android/issues/detail?id=66647

    Pasos para solucionarlo: 1. Eclipse vaya a Ayuda / Instalar nuevo software 2. Pegue este enlace. https://dl-ssl.google.com/android/eclipse/ 3. Vi dos temas “Herramientas de desarrollo” (5 elementos) y complementos de NDK (1 elemento) 4. Instalar cada elemento uno a la vez y reiniciar eclipse 5 Después de instalar lo anterior, Hello World se creó automáticamente con el fragmento de archivo adicional.

    Encontré el mismo problema y lo solucioné.

    Cambié la versión del Target SDK de API 21 (Android L) a otra versión. Simplemente solucionó el problema.

    Tuve el mismo problema, pero no lo solucionó porque ya tenía las últimas actualizaciones. Después de horas de búsqueda, la única forma de solucionarlo era descargar una copia nueva de Eclipse y crear un nuevo espacio de trabajo. Luego sigue los pasos que @minttux ha especificado. Espero que ayude con las versiones más nuevas de Eclipse.